import numpy as np

def plotSBVPsolution(Th,U,**kwargs):
  assert Th.dim==3
  from mayavi import mlab
  import fc_simesh_mayavi.siMesh as simlab
  uex=kwargs.pop('uex',None)
  colorbar=kwargs.pop('colorbar',False)
  niso=kwargs.pop('niso',0)
  mlab.close(all=True)
  mlab.figure(1)
  simlab.plot(Th,U,**kwargs)
  if colorbar:
    mlab.colorbar()
  if niso>0:
    simlab.plotiso(Th,U,color='white',line_width=2)
  if uex is not None:
    Uex=Th.eval(uex)
    mlab.figure(2)
    simlab.plot(Th,np.abs(U-Uex)/np.max(np.abs(Uex)),colormap='jet')
    mlab.colorbar(orientation='vertical')

